Oneport Docs
ApiV1WorkspacesSlugPostsPostid

/v1/workspaces/{slug}/posts/{postId}

PATCH
/v1/workspaces/{slug}/posts/{postId}

Path Parameters

slug*string
postId*string

Request Body

application/json

Post changes (managers only)

TypeScript Definitions

Use the request body type in TypeScript.

statusSlug?string
moderationState?string
title?string
content?string

Response Body

application/json

application/json

application/json

application/json

curl -X PATCH "https://example.com/v1/workspaces/acme/posts/string" \  -H "Content-Type: application/json" \  -d '{}'
{  "id": "string",  "title": "string",  "content": "string",  "boardId": "string",  "status": {    "slug": "string",    "name": "string",    "color": "string"  },  "voteCount": 0,  "commentCount": 0,  "verified": true,  "moderationState": "approved",  "voted": true,  "mergedInto": {    "id": "string",    "title": "string"  },  "mergedPosts": [    {      "id": "string",      "title": "string",      "voteCount": 0    }  ],  "createdAt": "string"}
{  "error": "string"}
{  "error": "string"}
{  "error": "string"}